package org.steveshipway.blueprints.util17;

// This is a utility class for backwards compatibility with minecraft 1.7

import net.minecraft.block.Block;

public class IBlockState {
	private Block block = null;
	private int dv = 0;
	public IBlockState() {
	}
	public IBlockState(Block b, int dv) {
		this.block = b;
		this.dv = dv & 15;
	}
	public Block getBlock() {
		return block;
	}
	public int getDv() {
		return dv;
	}
	public IBlockState setBlock(Block b) {
		this.block = b;
		return this;
	}
	public IBlockState setDv(int d) {
		this.dv = d & 15;
		return this;
	}
}
